/*
 * Copyright (C) 2012 Red Hat, Inc.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Authors: Radek Novacek <rnovacek@redhat.com>
 */

#ifndef GLOBALS_H
#define GLOBALS_H

const char *get_system_name();

const char *get_system_creation_class_name();

int log_level(void);
void set_log_level(int level);

enum { NONE=0, ERROR, WARN, DEBUG };
void _debug(int level, const char *file, int line, const char *format, ...);
#define debug(...) _debug(DEBUG, __FILE__, __LINE__, __VA_ARGS__)
#define warn(...) _debug(WARN, __FILE__, __LINE__, __VA_ARGS__)
#define error(...) _debug(ERROR, __FILE__, __LINE__, __VA_ARGS__)

#endif